Bug 469821 - Software render with Radeon XPRESS 200M IGP and radeon open source driver
Software render with Radeon XPRESS 200M IGP and radeon open source driver
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 04:38 EST by Guillaume DUMOULIN
Modified: 2008-11-18 09:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-18 09:56:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log without nomodeset (104.66 KB, application/octet-stream)
2008-11-10 08:30 EST, Guillaume DUMOULIN
no flags Details
Log with nomodeset (106.71 KB, text/plain)
2008-11-10 08:31 EST, Guillaume DUMOULIN
no flags Details

  None (edit)
Description Guillaume DUMOULIN 2008-11-04 04:38:32 EST
Description of problem:

The radeon open source driver isn't working with Fedora rawhide.
Fedora 9 use R300 driver.

glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Software Rasterizer

glxgears 
808 frames in 5.0 seconds = 161.589 FPS
912 frames in 5.0 seconds = 182.259 FPS


My card :
Radeon XPRESS 200M IGP 

lspci :
01:05.0 VGA compatible controller: ATI Technologies Inc RS485 [Radeon Xpress
1100 IGP]

kernel :
vmlinuz-2.6.27.4-68.fc10.x86_64

grub :
title Fedora (2.6.27.4-68.fc10.x86_64)
	root (hd0,0)
	kernel /vmlinuz-2.6.27.4-68.fc10.x86_64 ro root=UUID=503d06e6-caf4-4800-b0e4-d32518c113c1 nomodeset quiet
	initrd /initrd-2.6.27.4-68.fc10.x86_64.img

Version-Release number of selected component (if applicable):
kernel-2.6.27.4-68.fc10.x86_64
Comment 1 Guillaume DUMOULIN 2008-11-05 11:27:35 EST
With nomodeset i have 3D hardware acceleration (problem with my mesa library). But with rhgb no hardware acceleration.
Comment 2 Dave Airlie 2008-11-10 07:06:21 EST
can you supply an xorg log file from a modesetting and one from non-modeset startups?
Comment 3 Guillaume DUMOULIN 2008-11-10 08:30:46 EST
Created attachment 323066 [details]
Log without nomodeset
Comment 4 Guillaume DUMOULIN 2008-11-10 08:31:17 EST
Created attachment 323067 [details]
Log with nomodeset
Comment 5 Guillaume DUMOULIN 2008-11-10 08:37:41 EST
The 3D hardware acceleration is not functional after resume of hibernate.
With EXA acceleration UT99 crash X on exit.
With XAA acceleration when i close my session and when i'm log in again The 3D hardware acceleration is not functional.
Comment 6 Guillaume DUMOULIN 2008-11-18 09:56:57 EST
I have no problem with the reinstallation of the preview on my pc.

Note You need to log in before you can comment on or make changes to this bug.